Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jca.support
Class SimpleBootstrapContext

    java.lang.Object
      org.springframework.jca.support.SimpleBootstrapContext

All Implemented Interfaces:
  BootstrapContext

    public class SimpleBootstrapContext

extends Object
implements BootstrapContext

Simple implementation of the JCA 1.5 `BootstrapContext` interface, used for bootstrapping a JCA ResourceAdapter in a local environment.

Delegates to the given WorkManager and XATerminator, if any. Creates simple local instances of `java.util.Timer`.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  `ResourceAdapter.start(javax.resource.spi.BootstrapContext)`, `ResourceAdapterFactoryBean`

Constructor Summary
`SimpleBootstrapContext(WorkManager workManager)` Create a new SimpleBootstrapContext for the given WorkManager, with no XATerminator available.
`SimpleBootstrapContext(WorkManager workManager, XATerminator xaTerminator)` Create a new SimpleBootstrapContext for the given WorkManager and XATerminator.

Method Summary
`Timer` | `createTimer()`
`WorkManager` | `getWorkManager()`
`XATerminator` | `getXATerminator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBootstrapContext

    public SimpleBootstrapContext(WorkManager workManager)

  Create a new SimpleBootstrapContext for the given WorkManager, with no XATerminator available.

  Parameters:
    `workManager` - the JCA WorkManager to use (may be `null`)

### SimpleBootstrapContext

    public SimpleBootstrapContext(WorkManager workManager,
                                  XATerminator xaTerminator)

  Create a new SimpleBootstrapContext for the given WorkManager and XATerminator.

  Parameters:
    `workManager` - the JCA WorkManager to use (may be `null`)
    `xaTerminator` - the JCA XATerminator to use (may be `null`)

Method Detail

### getWorkManager

    public WorkManager getWorkManager()

  Specified by:
    `getWorkManager` in interface `BootstrapContext`

### getXATerminator

    public XATerminator getXATerminator()

  Specified by:
    `getXATerminator` in interface `BootstrapContext`

### createTimer

    public Timer createTimer()
                      throws UnavailableException

  Specified by:
    `createTimer` in interface `BootstrapContext`
  Throws:
    `UnavailableException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.